
Core - Feature # 51271

Status: Resolved Priority: Must have
Author: Kay Strobach Category: Install Tool
Created: 2013-08-22 Assigned To:
Updated: 2014-01-13 Due date:
PHP Version:
Complexity: no-brainer
Sprint Focus:
Subject: Reportsmodule add test for Bug in LibXML
Description

Some scary host have problems saving ">><<" in a flexform.

To fix this we have an option in the installtool.

Installtool:
[BE][flexformForceCDATA] = 0

http://www.npostnik.de/typo3/extbase-controlleraction-per-flexform-konfigurierbar-machen/#comment-7052

To avoid frustration this should be checked either in the installtool or in the reports module.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Feature # 51454: Install tool configuration system Resolved 2013-08-28

Associated revisions
Revision 51ebe1cf - 2014-01-13 21:53 - Tomita Militaru

[TASK] Check for libxml bug in install tool

Add check for libxml bug when saving special characters ">><<" 
in a flexform

Resolves: #51271
Releases: 6.2
Change-Id: I5d120cdfeb9538209273c8761d017cb67256617b
Reviewed-on: https://review.typo3.org/25089
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Oliver Klee
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2013-08-28 14:17 - Kay Strobach

a text could possibly use these two functions:
array2xml
https://typo3.org/api/typo3cms/class_t_y_p_o3_1_1_c_m_s_1_1_core_1_1_utility_1_1_general_utility.html#ab8631dc310e0931c0abe834f93bfbc42

xml2array()
https://typo3.org/api/typo3cms/class_t_y_p_o3_1_1_c_m_s_1_1_core_1_1_utility_1_1_general_utility.html#a356257d16679b49c2338e85e5d6d0eb8

using them with

array -> array2xml -> xml2array -> check if both arrays are the same

Should show wether the problem is present or not :D

#2 - 2013-10-28 20:45 - Ernesto Baschny
- Status changed from New to Accepted
- Assigned To deleted (Christian Kuhn)

Good idea, having this additional check could indeed be helpful! Could you provide a patch for it before beta2?

#3 - 2013-10-31 11:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25089

#4 - 2013-10-31 11:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25089

#5 - 2013-10-31 13:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25089

#6 - 2013-11-02 14:32 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25089

#7 - 2013-11-02 14:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25089
#8 - 2013-11-08 17:54 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25089

#9 - 2013-11-13 23:54 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25089

#10 - 2013-11-20 21:48 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25089

#11 - 2013-11-21 09:40 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25089

#12 - 2014-01-10 10:40 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25089

#13 - 2014-01-13 22:30 - Tomita Militaru
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:51ebe1cf20ff51af415fc3c04cee777b4085b57a.
